
Katello - Bug #4104

Organisation : some scenarios give ambigous results

01/16/2014 05:48 PM - Katello Issue Migration

Status: Closed   

Priority: Normal   

Assignee:    

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

com.redhat.qe.katello.tests.cli.OrgTests

test_UploadManifestDiffOrg

test_UploadManifestSameOrg

here I tried this scenarios manually

katello/headpin -u admin -p ** provider import_manifest --name "Red Hat" --org testorg --file "/tmp/manifest6M.zip"

Provider [ Red Hat ] failed to import manifest: This subscription management application has already been imported by another

owner.

echo $?

0

The tests work correctly, but the exitcode should also be error code and not 0.

Please, refer tests  here:

- http://hudson.rhq.lab.eng.bos.redhat.com:8080/hudson/view/qe-headpin/job/official-headpin-cli/53/ReportNG_Report/

Created: tkolhar on April 12, 2013 10:19 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/1932

Comment 1

same issue for katello recent nightly too.

Created: gkhachik on April 12, 2013 11:10 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/comments/16287491

History

#1 - 06/03/2014 10:14 PM - Eric Helms

- Category set to Hammer

- Status changed from New to Closed

- Triaged set to Yes

Issue reported on old Katello CLI. If this is found to be an issue with the new CLI please re-open.

#2 - 08/21/2014 02:28 PM - Eric Helms

- translation missing: en.field_release set to 13
